git-annex-undo(1)

NAME
git-annex-undo - undo last change to a file or directory

SYNOPSIS
git annex [filename|directory] ...

DESCRIPTION
When passed a filename, undoes the last change that was made to that file.

When passed a directory, undoes the last change that was made to the contents of that directory.

Running undo a second time will undo the undo, returning the working tree to the same state it had before. To support undoing an undo of staged changes, any staged changes are first committed by the undo command.

Note that this does not undo get/drop of a file's content; it only operates on the file tree committed to git.

OPTIONS

--json

    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

The git-annex-common-options(1) can also be used.

SEE ALSO
git-annex(1)

git-annex-add(1)

AUTHOR
Joey Hess <id@joeyh.name>